net.arnx.wmf2svg.gdi.wmf

## Class WmfParser

- java.lang.Object
- - net.arnx.wmf2svg.gdi.wmf.WmfParser

-     public class WmfParser
      extends Object

  Author:
    Hidekatsu Izuno, Shunsuke Mori

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RECORD_ANIMATE_PALETTE`
    `static int` | `RECORD_ARC`
    `static int` | `RECORD_BIT_BLT`
    `static int` | `RECORD_CHORD`
    `static int` | `RECORD_CREATE_BRUSH_INDIRECT`
    `static int` | `RECORD_CREATE_FONT_INDIRECT`
    `static int` | `RECORD_CREATE_PALETTE`
    `static int` | `RECORD_CREATE_PATTERN_BRUSH`
    `static int` | `RECORD_CREATE_PEN_INDIRECT`
    `static int` | `RECORD_CREATE_RECT_RGN`
    `static int` | `RECORD_DELETE_OBJECT`
    `static int` | `RECORD_DIB_BIT_BLT`
    `static int` | `RECORD_DIB_CREATE_PATTERN_BRUSH`
    `static int` | `RECORD_DIB_STRETCH_BLT`
    `static int` | `RECORD_ELLIPSE`
    `static int` | `RECORD_ESCAPE`
    `static int` | `RECORD_EXCLUDE_CLIP_RECT`
    `static int` | `RECORD_EXT_FLOOD_FILL`
    `static int` | `RECORD_EXT_TEXT_OUT`
    `static int` | `RECORD_FILL_RGN`
    `static int` | `RECORD_FLOOD_FILL`
    `static int` | `RECORD_FRAME_RGN`
    `static int` | `RECORD_INTERSECT_CLIP_RECT`
    `static int` | `RECORD_INVERT_RGN`
    `static int` | `RECORD_LINE_TO`
    `static int` | `RECORD_MOVE_TO_EX`
    `static int` | `RECORD_OFFSET_CLIP_RGN`
    `static int` | `RECORD_OFFSET_VIEWPORT_ORG_EX`
    `static int` | `RECORD_OFFSET_WINDOW_ORG_EX`
    `static int` | `RECORD_PAINT_RGN`
    `static int` | `RECORD_PAT_BLT`
    `static int` | `RECORD_PIE`
    `static int` | `RECORD_POLY_POLYGON`
    `static int` | `RECORD_POLYGON`
    `static int` | `RECORD_POLYLINE`
    `static int` | `RECORD_REALIZE_PALETTE`
    `static int` | `RECORD_RECTANGLE`
    `static int` | `RECORD_RESIZE_PALETTE`
    `static int` | `RECORD_RESTORE_DC`
    `static int` | `RECORD_ROUND_RECT`
    `static int` | `RECORD_SAVE_DC`
    `static int` | `RECORD_SCALE_VIEWPORT_EXT_EX`
    `static int` | `RECORD_SCALE_WINDOW_EXT_EX`
    `static int` | `RECORD_SELECT_CLIP_RGN`
    `static int` | `RECORD_SELECT_OBJECT`
    `static int` | `RECORD_SELECT_PALETTE`
    `static int` | `RECORD_SET_BK_COLOR`
    `static int` | `RECORD_SET_BK_MODE`
    `static int` | `RECORD_SET_DIBITS_TO_DEVICE`
    `static int` | `RECORD_SET_LAYOUT`
    `static int` | `RECORD_SET_MAP_MODE`
    `static int` | `RECORD_SET_MAPPER_FLAGS`
    `static int` | `RECORD_SET_PALETTE_ENTRIES`
    `static int` | `RECORD_SET_PIXEL`
    `static int` | `RECORD_SET_POLY_FILL_MODE`
    `static int` | `RECORD_SET_REL_ABS`
    `static int` | `RECORD_SET_ROP2`
    `static int` | `RECORD_SET_STRETCH_BLT_MODE`
    `static int` | `RECORD_SET_TEXT_ALIGN`
    `static int` | `RECORD_SET_TEXT_CHARACTER_EXTRA`
    `static int` | `RECORD_SET_TEXT_COLOR`
    `static int` | `RECORD_SET_TEXT_JUSTIFICATION`
    `static int` | `RECORD_SET_VIEWPORT_EXT_EX`
    `static int` | `RECORD_SET_VIEWPORT_ORG_EX`
    `static int` | `RECORD_SET_WINDOW_EXT_EX`
    `static int` | `RECORD_SET_WINDOW_ORG_EX`
    `static int` | `RECORD_STRETCH_BLT`
    `static int` | `RECORD_STRETCH_DIBITS`
    `static int` | `RECORD_TEXT_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(InputStream is, Gdi gdi)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECORD_ANIMATE_PALETTE

          public static final int RECORD_ANIMATE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_ARC

          public static final int RECORD_ARC

      See Also:
        Constant Field Values

    - #### RECORD_BIT_BLT

          public static final int RECORD_BIT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_CHORD

          public static final int RECORD_CHORD

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_BRUSH_INDIRECT

          public static final int RECORD_CREATE_BRUSH_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_FONT_INDIRECT

          public static final int RECORD_CREATE_FONT_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PALETTE

          public static final int RECORD_CREATE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PATTERN_BRUSH

          public static final int RECORD_CREATE_PATTERN_BRUSH

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_PEN_INDIRECT

          public static final int RECORD_CREATE_PEN_INDIRECT

      See Also:
        Constant Field Values

    - #### RECORD_CREATE_RECT_RGN

          public static final int RECORD_CREATE_RECT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_DELETE_OBJECT

          public static final int RECORD_DELETE_OBJECT

      See Also:
        Constant Field Values

    - #### RECORD_DIB_BIT_BLT

          public static final int RECORD_DIB_BIT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_DIB_CREATE_PATTERN_BRUSH

          public static final int RECORD_DIB_CREATE_PATTERN_BRUSH

      See Also:
        Constant Field Values

    - #### RECORD_DIB_STRETCH_BLT

          public static final int RECORD_DIB_STRETCH_BLT

      See Also:
        Constant Field Values

    - #### RECORD_ELLIPSE

          public static final int RECORD_ELLIPSE

      See Also:
        Constant Field Values

    - #### RECORD_ESCAPE

          public static final int RECORD_ESCAPE

      See Also:
        Constant Field Values

    - #### RECORD_EXCLUDE_CLIP_RECT

          public static final int RECORD_EXCLUDE_CLIP_RECT

      See Also:
        Constant Field Values

    - #### RECORD_EXT_FLOOD_FILL

          public static final int RECORD_EXT_FLOOD_FILL

      See Also:
        Constant Field Values

    - #### RECORD_EXT_TEXT_OUT

          public static final int RECORD_EXT_TEXT_OUT

      See Also:
        Constant Field Values

    - #### RECORD_FILL_RGN

          public static final int RECORD_FILL_RGN

      See Also:
        Constant Field Values

    - #### RECORD_FLOOD_FILL

          public static final int RECORD_FLOOD_FILL

      See Also:
        Constant Field Values

    - #### RECORD_FRAME_RGN

          public static final int RECORD_FRAME_RGN

      See Also:
        Constant Field Values

    - #### RECORD_INTERSECT_CLIP_RECT

          public static final int RECORD_INTERSECT_CLIP_RECT

      See Also:
        Constant Field Values

    - #### RECORD_INVERT_RGN

          public static final int RECORD_INVERT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_LINE_TO

          public static final int RECORD_LINE_TO

      See Also:
        Constant Field Values

    - #### RECORD_MOVE_TO_EX

          public static final int RECORD_MOVE_TO_EX

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_CLIP_RGN

          public static final int RECORD_OFFSET_CLIP_RGN

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_VIEWPORT_ORG_EX

          public static final int RECORD_OFFSET_VIEWPORT_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_OFFSET_WINDOW_ORG_EX

          public static final int RECORD_OFFSET_WINDOW_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_PAINT_RGN

          public static final int RECORD_PAINT_RGN

      See Also:
        Constant Field Values

    - #### RECORD_PAT_BLT

          public static final int RECORD_PAT_BLT

      See Also:
        Constant Field Values

    - #### RECORD_PIE

          public static final int RECORD_PIE

      See Also:
        Constant Field Values

    - #### RECORD_POLYGON

          public static final int RECORD_POLYGON

      See Also:
        Constant Field Values

    - #### RECORD_POLYLINE

          public static final int RECORD_POLYLINE

      See Also:
        Constant Field Values

    - #### RECORD_POLY_POLYGON

          public static final int RECORD_POLY_POLYGON

      See Also:
        Constant Field Values

    - #### RECORD_REALIZE_PALETTE

          public static final int RECORD_REALIZE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_RECTANGLE

          public static final int RECORD_RECTANGLE

      See Also:
        Constant Field Values

    - #### RECORD_RESIZE_PALETTE

          public static final int RECORD_RESIZE_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_RESTORE_DC

          public static final int RECORD_RESTORE_DC

      See Also:
        Constant Field Values

    - #### RECORD_ROUND_RECT

          public static final int RECORD_ROUND_RECT

      See Also:
        Constant Field Values

    - #### RECORD_SAVE_DC

          public static final int RECORD_SAVE_DC

      See Also:
        Constant Field Values

    - #### RECORD_SCALE_VIEWPORT_EXT_EX

          public static final int RECORD_SCALE_VIEWPORT_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SCALE_WINDOW_EXT_EX

          public static final int RECORD_SCALE_WINDOW_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_CLIP_RGN

          public static final int RECORD_SELECT_CLIP_RGN

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_OBJECT

          public static final int RECORD_SELECT_OBJECT

      See Also:
        Constant Field Values

    - #### RECORD_SELECT_PALETTE

          public static final int RECORD_SELECT_PALETTE

      See Also:
        Constant Field Values

    - #### RECORD_SET_BK_COLOR

          public static final int RECORD_SET_BK_COLOR

      See Also:
        Constant Field Values

    - #### RECORD_SET_BK_MODE

          public static final int RECORD_SET_BK_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_DIBITS_TO_DEVICE

          public static final int RECORD_SET_DIBITS_TO_DEVICE

      See Also:
        Constant Field Values

    - #### RECORD_SET_LAYOUT

          public static final int RECORD_SET_LAYOUT

      See Also:
        Constant Field Values

    - #### RECORD_SET_MAP_MODE

          public static final int RECORD_SET_MAP_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_MAPPER_FLAGS

          public static final int RECORD_SET_MAPPER_FLAGS

      See Also:
        Constant Field Values

    - #### RECORD_SET_PALETTE_ENTRIES

          public static final int RECORD_SET_PALETTE_ENTRIES

      See Also:
        Constant Field Values

    - #### RECORD_SET_PIXEL

          public static final int RECORD_SET_PIXEL

      See Also:
        Constant Field Values

    - #### RECORD_SET_POLY_FILL_MODE

          public static final int RECORD_SET_POLY_FILL_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_REL_ABS

          public static final int RECORD_SET_REL_ABS

      See Also:
        Constant Field Values

    - #### RECORD_SET_ROP2

          public static final int RECORD_SET_ROP2

      See Also:
        Constant Field Values

    - #### RECORD_SET_STRETCH_BLT_MODE

          public static final int RECORD_SET_STRETCH_BLT_MODE

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_ALIGN

          public static final int RECORD_SET_TEXT_ALIGN

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_CHARACTER_EXTRA

          public static final int RECORD_SET_TEXT_CHARACTER_EXTRA

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_COLOR

          public static final int RECORD_SET_TEXT_COLOR

      See Also:
        Constant Field Values

    - #### RECORD_SET_TEXT_JUSTIFICATION

          public static final int RECORD_SET_TEXT_JUSTIFICATION

      See Also:
        Constant Field Values

    - #### RECORD_SET_VIEWPORT_EXT_EX

          public static final int RECORD_SET_VIEWPORT_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_VIEWPORT_ORG_EX

          public static final int RECORD_SET_VIEWPORT_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_WINDOW_EXT_EX

          public static final int RECORD_SET_WINDOW_EXT_EX

      See Also:
        Constant Field Values

    - #### RECORD_SET_WINDOW_ORG_EX

          public static final int RECORD_SET_WINDOW_ORG_EX

      See Also:
        Constant Field Values

    - #### RECORD_STRETCH_BLT

          public static final int RECORD_STRETCH_BLT

      See Also:
        Constant Field Values

    - #### RECORD_STRETCH_DIBITS

          public static final int RECORD_STRETCH_DIBITS

      See Also:
        Constant Field Values

    - #### RECORD_TEXT_OUT

          public static final int RECORD_TEXT_OUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WmfParser

          public WmfParser()

  - ### Method Detail

    - #### parse

          public void parse(InputStream is,
                   Gdi gdi)
                     throws IOException,
                            WmfParseException

      Throws:
        `IOException`
        `WmfParseException`